import Vue from 'vue/dist/vue'
import EventBus from "../util/EventBus";
import EventTypes from "../util/EventTypes";

Vue.component('brick-visualize-in-tree', {
    delimiters: ['<<', '>>'],
    props: [
        'brick',
    ],
    methods: {
        emit() {
            EventBus.emitEvent(EventTypes.BRICK_VISUALIZE_IN_TREE, this);
        }
    },
    template: `
      <button
          class="btn brick-action brick-visualize-in-tree"
          v-on:click="emit"
      >
        <i class="fa fa-eye"></i>
      </button>
    `,
});